/*Etude d'une boite
/KERGOURLAY Erwan
/04.01.2013
*/

/*Dimension de la structure*/

lc1=5;//taille des elements pour discretisation

h=10;//epaisseur
l=100;//dim interieur


/*Creation de la gémotrie*/

Point(1)={2*h,0,2*h,lc1};
Point(2)={l,0,2*h,lc1};

nb1_c=2;
nb2_c=5;

/*Creation des segments*/

Line(1) = {1, 2};
Transfinite Line {1} = (nb2_c+1) Using Progression 1;
Extrude {0, h, 0} {
  Line{1}; Layers{nb1_c}; Recombine;
}
Extrude {0, 0, l-2*h} {
  Surface{5}; Layers{nb2_c}; Recombine;
}

//arrondi partie basse//

Extrude {{1, 0, 0}, {0, 2*h, 2*h}, Pi/2} {
  Surface{5};Layers{nb1_c}; Recombine;
}
Extrude {{1, 0, 0}, {0, 2*h, l}, -Pi/2} {
  Surface{27}; Layers{nb1_c}; Recombine;
}
Extrude {{0, 0, 1}, {2*h, 2*h, 0}, -Pi/2} {
  Surface{26}; Layers{nb1_c}; Recombine;
}
Extrude {{0, 0, 1}, {l, 2*h, 0}, Pi/2} {
  Surface{18}; Layers{nb1_c}; Recombine;
}


Extrude {{0, 1, 0}, {2*h, 0, 2*h}, Pi/2} {
  Surface{48}; Layers{nb1_c};Recombine;
}
Extrude {{0, 1, 0}, {2*h, 0, l}, Pi/2} {
  Surface{88};Layers{nb1_c}; Recombine;
}
Extrude {{0, 1, 0}, {l, 0, l}, Pi/2} {
  Surface{62};Layers{nb1_c}; Recombine;
}
Extrude {{0, 1, 0}, {l, 0, 2*h}, Pi/2} {
  Surface{102};Layers{nb1_c}; Recombine;
}


Extrude {0, l-2*h, 0} {
  Surface{49, 128, 176, 115, 160, 71, 144, 93}; Layers{nb2_c}; Recombine;
}

//arrondi partie haute//

Extrude {{1, 0, 0}, {0, l, 2*h}, Pi/2} {
  Surface{201};Layers{nb1_c}; Recombine;
}
Extrude {{1, 0, 0}, {0, l, l}, -Pi/2} {
  Surface{311}; Layers{nb1_c}; Recombine;
}

Extrude {{0, 0, 1}, {2*h, l, 0}, -Pi/2} {
  Surface{355}; Layers{nb1_c}; Recombine;
}
Extrude {{0, 0, 1}, {l, l, 0}, Pi/2} {
  Surface{267}; Layers{nb1_c}; Recombine;
}


Extrude {{0, 1, 0}, {2*h, l, 2*h}, Pi/2} {
  Surface{376};Layers{nb1_c}; Recombine;
}
Extrude {{0, 1, 0}, {2*h, l, l}, Pi/2} {
  Surface{416}; Layers{nb1_c};Recombine;
}
Extrude {{0, 1, 0}, {l, l, l}, Pi/2} {
  Surface{390};Layers{nb1_c}; Recombine;
}
Extrude {{0, 1, 0}, {l, l, 2*h}, Pi/2} {
  Surface{430};Layers{nb1_c}; Recombine;
}


Extrude {0, 0, l-2*h} {
  Surface{377}; Layers{nb2_c}; Recombine;
}

/*Creation des physicals*/
Physical Surface("encastrer") = {14};
Physical Surface("pression") = {36, 14, 58, 298, 386, 516, 364, 188, 84, 346, 412, 442, 266, 114, 507, 491, 475, 455, 222, 236, 280, 324, 147, 124, 179, 163};
Physical Volume("volume") = {25, 12, 9, 10, 2, 6, 11, 22, 3, 1, 4, 5, 8, 18, 17, 7, 16, 20, 23, 19, 15, 26, 24, 14, 21, 13};

